      program replicate

      real a(10), ra(5), x

cmf$  layout ra(:serial)

      forall (i=1:10) a(i) = i

      ra = 0
      ra = a(4:8)

      print *, ra

      x = sum (a)
      print *, x

      end
